Support » Plugin: Column Shortcodes » Compatibility issues with WordPress 5.5?

  • Just wanted to give everyone a heads up that this plugin may have some JavaScript compatibility issues with WordPress 5.5 for me.

    When I updated a site I manage to WP 5.5, I was getting some JavaScript errors in the admin panel when editing content.

    This was on a site running the Classic Editor and Advanced Custom Fields Pro.

    Deactivating this plugin solved the issue and allowed me to edit my content normally.

    Not certain whether the issue stems from this particular plugin or a conflict with another plugin I have installed, but the bottom line for me was that ditching this plugin fixed my 5.5 upgrade issues.

Viewing 9 replies - 1 through 9 (of 9 total)
  • Encountering the same issue and also using ACF. Disabling the plugin is the workaround.

    Console error:
    Uncaught TypeError: $(…).live is not a function
    https://kelvix.com/wp-content/plugins/column-shortcodes//assets/js/admin.js
    in the codepressShortcodes function, line 35.

    See here: https://wordpress.org/support/topic/failed-to-load-plugin-15/#post-13246794

    That will allow you to get the plugin working again, until the developer releases an update with a similar fix applied.

    Same issue – new WordPress 5.5 update + classic editor

    Plugin Contributor Stefan van den Dungen Gronovius

    (@dungengronovius)

    We just released version 1.0.1 with the fix provided by @burt.
    Thanks @burt for your contribution!

    I also have issues, which appear to be since 5.5. Worked beautifully previously but now have a range of issues.
    Simply using 2 areas – one for text and other for an image – 2/3 and 1/3

    A few pages still show the image correctly but the majority of pages still have the correct layout but no image is showing and one page, which had two images, shows one image and not the other. 🙁

    Images all in the media area, nothing changed and path is same for all.

    I am very new to WordPress so wonder how to fix.

    Any suggestions?

    My Column Shortcodes inserter is not working. I can click on any of the links in the popup and nothing is inserted — luckily, I have the codes memorized so usually copy and paste existing code from one place to another — just noticed the lack of functionality the other day when I attempted to actually use the inserter.
    Otherwise, codes are working and displaying as they should in my site.

    btw I’m running latest Column Shortcodes 1.0.1 plus Classic Editor 1.6 in Astra theme 2.5.5 with Astra Pro plugin 2.6.4 on WP 5.5.1, PHP 7.4 hosted on WP Engine.

    I am running various other plugins, but NOT Advanced Custom Fields Pro.
    Thanks!
    p.s. I posted on this thread since I feel it is related to my recent update to WP 5.5 and my use of Classic Editor.

    • This reply was modified 10 months, 1 week ago by mizmo70.

    I’m still having an issue with WP 5.5 even with 1.0.1. The JQuery Migrate Helper plugin shows an error:
    https://www.newventureswest.com/wp-content/plugins/column-shortcodes//assets/js/admin.js:35:34): jQuery.fn.live() is deprecated

    I’m having trouble as well with the updated plugin. It causes the hyperlink feature in the classic editor to not work correctly. Just disabled the plugin for now. Hope this can be fixed with next update!

    Hi @dungengronovius I’m still having an issue and have jQuery Migrate Helper installed to circumvent it for now. Any planned updates?

    https://www.evernote.com/l/AALsg5acaPVK6I_8gQHtiHweo3CtD3Xg-l0

    Thanks,
    Adam

    • This reply was modified 7 months, 2 weeks ago by newventureswest. Reason: added screenshot
Viewing 9 replies - 1 through 9 (of 9 total)
  • The topic ‘Compatibility issues with WordPress 5.5?’ is closed to new replies.